
Redmine - Patch #2318

RTL Theme

2008-12-11 23:33 - Ficoos Bangaly

Status: Closed Start date: 2008-12-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

A theme based on Alternate (and depends on it). Overrides certain properties to change the UI to better suit Right-To-Left languages

(Hebrew, Arabic etc.).

There are some glitches where an item's style was not stated in CSS thus to complicated to change.

Related issues:

Related to Redmine - Patch #962: Hebrew translation and RTL Layout Closed 2008-03-30

Is duplicate of Redmine - Patch #6012: RTL layout Closed 2010-08-01

History

#1 - 2008-12-11 23:58 - Ficoos Bangaly

- File application.css added

Found a tiny glitch that could be fixed

#2 - 2008-12-13 03:16 - Mischa The Evil

- Assignee set to Mischa The Evil

I just created a dedicated wiki-page for Redmine themes. I'm not quite able to test this theme (modification) but I can create a dedicated page for it to

publish it more "standardized" if you wish.

Then please wrap-up this tiny file into a seperate theme-package (zipped or tarred-gzipped), including the nessacery directory-structure (see here),

with some basic information (see for example ThemeAlternate) and add some (4-6) screenshots of the theme (preferred resolution would be

480x360).

Greetings,

Mischa.

#3 - 2009-01-09 12:12 - Mischa The Evil

- Assignee deleted (Mischa The Evil)

I've tested this theme (with a non-RTL language) and it does not seem very stable/clear. Some feedback is really required before submitting this

"theme" to the dedicated themes-list.

Mischa.

#4 - 2010-04-26 10:41 - Orgad Shaneh

- File application.css added

- File app-rtl.patch added

- File normal-css.patch added

fixed some issues. this is much better. needs to modify app/views/issues/_history.rhtml for the journal links to be on the correct side (replace an

explicit style="float: left" with id), and add this to the normal application.css as well...

patches and css file included.

#5 - 2010-04-26 10:48 - Orgad Shaneh

- File application.css added
http://www.redmine.org/wiki/redmine/HowTo_create_a_custom_Redmine_theme
https://www.redmine.org/projects/redmine/wiki/ThemeAlternate
https://www.redmine.org/projects/redmine/wiki/Themes


oops! wrong application.css

#6 - 2010-05-30 14:40 - Orgad Shaneh

- File application.css added

a few more changes to application.css. Please add to upstream!

#7 - 2010-05-30 14:44 - Orgad Shaneh

- File css.patch added

this patch replaces normal-css.patch

#8 - 2010-05-30 14:45 - Orgad Shaneh

- File app-rtl.patch added

and this one replaces app-rtl.patch (replaced id=journal-link with class=journal-link)

#9 - 2010-08-30 14:20 - Azamat Hackimov

- Status changed from New to Closed

RTL-layout commited in #6012

Files

application.css 1.19 KB 2008-12-11 Ficoos Bangaly

application.css 29.9 KB 2010-04-26 Orgad Shaneh

app-rtl.patch 1.5 KB 2010-04-26 Orgad Shaneh

normal-css.patch 272 Bytes 2010-04-26 Orgad Shaneh

application.css 1.7 KB 2010-04-26 Orgad Shaneh

application.css 1.74 KB 2010-05-30 Orgad Shaneh

css.patch 276 Bytes 2010-05-30 Orgad Shaneh

app-rtl.patch 1.51 KB 2010-05-30 Orgad Shaneh
